## org.eclipse.datatools.connectivity.ui.templates
Class TreeObject

    java.lang.Object
      org.eclipse.datatools.connectivity.ui.templates.TreeObject

Direct Known Subclasses:
  TreeParent

    public class TreeObject

extends java.lang.Object

Simple Tree object for holding a name/value pair

Author:
  brianf

Constructor Summary
`TreeObject()` Constructor
`TreeObject(java.lang.String name, java.lang.Object value)` Constructor

Method Summary
`java.lang.String` `getName()` Getter for name
`TreeObject` `getParent()` Getter for parent
`java.lang.Object` `getValue()` Getter for value
`void` `setName(java.lang.String name)` Setter for name
`void` `setParent(TreeObject parent)` Setter for parent
`void` `setValue(java.lang.Object value)` Setter for value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeObject

    public TreeObject()

  Constructor

### TreeObject

    public TreeObject(java.lang.String name,
                      java.lang.Object value)

  Constructor

  Parameters:
    `name` -
    `value` -

Method Detail

### getValue

    public java.lang.Object getValue()

  Getter for value

### setValue

    public void setValue(java.lang.Object value)

  Setter for value

### getName

    public java.lang.String getName()

  Getter for name

### setName

    public void setName(java.lang.String name)

  Setter for name

### getParent

    public TreeObject getParent()

  Getter for parent

### setParent

    public void setParent(TreeObject parent)

  Setter for parent